﻿// Kerbal Engineer Redux
// Author:  CYBUTEK
// License: Attribution-NonCommercial-ShareAlike 3.0 Unported

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Engineer
{
    public class ThrustToWeight
    {
        public Dictionary<string, float> GravityList
        {
            get;
            private set;
        }

        public ThrustToWeight()
        {
            GravityList = new Dictionary<string, float>();

            GravityList.Add("Kerbin", 9.8066f);
            GravityList.Add("Mun", 1.6284f);
            GravityList.Add("Minmus", 0.785f);
        }

        public List<float> Calculate(float thrust, float weight, float gravity)
        {
            List<float> data = new List<float>();

            for (int i = 0; i < GravityList.Count; i++)
            {
                data.Add(thrust / (weight * gravity));
            }

            return data;
        }
    }
}
